Subject: Re: [PATCH] blame: only parse detailed commit info if needed

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Jul 2025 10:08:00 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Tue, Jul 22, 2025 at 07:42:20PM +0800, Han Young wrote:
>> In commit cee7f245d (git-pickaxe: blame rewritten., 2006-10-19),
>> The function get_commit_info can terminate commit parsing early if only
>> the author information is needed. This ability is not used by callers
>> who do not require detailed commit information. Stop requesting detailed
>> commit information for these callers.
>
> Okay. I think there's two important pieces of information missing here:
>
>   - What does this buy us? I guess the answer is performance, but it
>     would be sure to quantify in which scenarios and how much of a
>     speedup this buys us.
>
>   - Any reasoning why those two callers don't need the information.
>     Reviewers can try to piece it together manually, but it would be
>     nice to hold their hand and lead them through the change.

Good questions to ask.  

If the answer to the first question is "well, not really?", then
another thing to consider would be if we want to remove that
short-cut as conditionally grabbing only just some pieces of
information without getting others is not helping.

Thanks.